#include "excpt.h"

Exception::Exception()
{
}

Exception::~Exception()
{
}

FileOpenException::FileOpenException(const std::string &aFName):
    FName(aFName)
{
}

FileParseException::FileParseException(const std::string &aFName,
    int aLine,
    const std::string &aMess):
    FName(aFName),
    Line(aLine),
    Mess(aMess)
{
}

RegexParseException::RegexParseException(const std::string &aSource,
    const std::string &aMess):
    Source(aSource),
    Mess(aMess)
{
}

DuplicateKeyException::DuplicateKeyException(const std::string &aKey):
    Key(aKey)
{
}

UndefinedKeyException::UndefinedKeyException(const std::string &aKey):
    Key(aKey)
{
}

MultipleDefinitionException::MultipleDefinitionException(
    const std::string &aKey):
    Key(aKey)
{
}

MissingValueException::MissingValueException(const std::string &aKey):
    Key(aKey)
{
}
